After i updated to Appium 1.10, i'am not able to trigger app through script/Eclipse


#1

I updated Appium 1.6.2 to 1.10 and i tried running the same script. But im getting below error.
An unknown server-side error occurred while processing the command. Original error: The desired should not include both of an ‘appPackage’ and a 'browserName.
Where as i could trigger application from Appium-New Session

Note:
I’m not using capabilities.setCapability(CapabilityType.BROWSER_NAME, “”);
I’m using only capabilities.setCapability(“appPackage”, “com.xxxxx.xxxxx”);
But still I’m getting an error.

Script:
@Test
public void initiateApp() throws Exception
{
DesiredCapabilities capabilities = DesiredCapabilities.android();
{
capabilities.setCapability(“deviceName”, “4438534b31373098”);
capabilities.setCapability(“platformName”, “Android”);
capabilities.setCapability(“version”, “7.0”);
capabilities.setCapability(“noReset”, false);
capabilities.setCapability(“fullReset”, false);
capabilities.setCapability(“appPackage”, “com.xxxxx.yyyyy”);
capabilities.setCapability(“appWaitActivity”, “com.xxxxx.smartcare.ValetScueActivity”);
capabilities.setCapability(“appActivity”, “com.xxxxx.smartcare.ValetScueActivity”);
capabilities.setCapability(“dontStopAppOnReset”, false);
capabilities.setCapability(“newCommandTimeout”, 0);
URL url = new URL(“http://127.0.0.1:4723/wd/hub”);
driver = new AndroidDriver(url, capabilities);

}
}

Appium logs:
[info] e[35m[Appium]e[39m Welcome to Appium v1.10.0
[info] e[35m[Appium]e[39m Non-default server args:
[info] e[35m[Appium]e[39m address: 127.0.0.1
[info] e[35m[Appium]e[39m Appium REST http interface listener started on 127.0.0.1:4723[info] e[35m[HTTP]e[39m e[37m–>e[39m e[37mPOSTe[39m e[37m/wd/hub/sessione[39m
[info] e[35m[HTTP]e[39m e[90m{“desiredCapabilities”:{“appActivity”:“com.xxxxx.smartcare.ValetScueActivity”,“appPackage”:“com.xxxxx.enterprise”,“appWaitActivity”:“com.xxxxx.smartcare.ValetScueActivity”,“browserName”:“android”,“deviceName”:“4438534b31373098”,“dontStopAppOnReset”:false,“fullReset”:false,“newCommandTimeout”:0,“noReset”:false,“platform”:“ANDROID”,“platformName”:“Android”,“version”:“7.0”},“capabilities”:{“desiredCapabilities”:{“appActivity”:“com.xxxxx.smartcare.ValetScueActivity”,“appPackage”:“com.xxxxx.enterprise”,“appWaitActivity”:“com.xxxxx.smartcare.ValetScueActivity”,“browserName”:“android”,“deviceName”:“4438534b31373098”,“dontStopAppOnReset”:false,“fullReset”:false,“newCommandTimeout”:0,“noReset”:false,“platform”:“ANDROID”,“platformName”:“Android”,“version”:“7.0”},“firstMatch”:[{“browserName”:“android”,“platformName”:“android”}]}}e[39m
[debug] e[35m[W3C]e[39m Calling AppiumDriver.createSession() with args: [{“appActivity”:“com.xxxxx.smartcare.ValetScueActivity”,“appPackage”:“com.xxxxx.enterprise”,“appWaitActivity”:“com.xxxxx.smartcare.ValetScueActivity”,“browserName”:“android”,“deviceName”:“4438534b31373098”,“dontStopAppOnReset”:false,“fullReset”:false,“newCommandTimeout”:0,“noReset”:false,“platform”:“ANDROID”,“platformName”:“Android”,“version”:“7.0”},null,{“desiredCapabilities”:{“appActivity”:“com.xxxxx.smartcare.ValetScueActivity”,“appPackage”:“com.xxxxx.enterprise”,“appWaitActivity”:“com.xxxxx.smartcare.ValetScueActivity”,“browserName”:“android”,“deviceName”:“4438534b31373098”,“dontStopAppOnReset”:false,“fullReset”:false,“newCommandTimeout”:0,“noReset”:false,“platform”:“ANDROID”,“platformName”:“Android”,“version”:“7.0”},“firstMatch”:[{“browserName”:“android”,“platformName”:“android”}]}]
[debug] e[35m[BaseDriver]e[39m Event ‘newSessionRequested’ logged at 1546857731004 (16:12:11 GMT+0530 (India Standard Time))
[info] e[35m[Appium]e[39m Could not parse W3C capabilities: ‘deviceName’ can’t be blank
[info] e[35m[Appium]e[39m Trying to fix W3C capabilities by merging them with JSONWP caps
[warn] e[35m[BaseDriver]e[39m The capabilities [“appActivity”,“appPackage”,“appWaitActivity”,“deviceName”,“dontStopAppOnReset”,“fullReset”,“newCommandTimeout”,“noReset”,“platform”,“version”] are not standard capabilities and should have an extension prefix
[info] e[35m[Appium]e[39m Creating new AndroidDriver (v4.8.0) session
[info] e[35m[Appium]e[39m Capabilities:
[info] e[35m[Appium]e[39m appActivity: com.xxxxx.smartcare.ValetScueActivity
[info] e[35m[Appium]e[39m appPackage: com.xxxxx.enterprise
[info] e[35m[Appium]e[39m appWaitActivity: com.xxxxx.smartcare.ValetScueActivity
[info] e[35m[Appium]e[39m deviceName: 4438534b31373098
[info] e[35m[Appium]e[39m dontStopAppOnReset: false
[info] e[35m[Appium]e[39m fullReset: false
[info] e[35m[Appium]e[39m newCommandTimeout: 0
[info] e[35m[Appium]e[39m noReset: false
[info] e[35m[Appium]e[39m platform: ANDROID
[info] e[35m[Appium]e[39m version: 7.0
[info] e[35m[Appium]e[39m browserName: android
[info] e[35m[Appium]e[39m platformName: android
[debug] e[35m[BaseDriver]e[39m W3C capabilities {“alwaysMatch”:{"appium:app… and MJSONWP desired capabilities {“appActivity”:"com.aetherp… were provided
[debug] e[35m[BaseDriver]e[39m Creating session with W3C capabilities: {“alwaysMatch”:{"appium:app…
[warn] e[35m[BaseDriver]e[39m The following capabilities were provided, but are not recognized by appium: platform, version.
[error] e[35m[AndroidDriver]e[39m Error: The desired should not include both of an ‘appPackage’ and a ‘browserName’
[error] e[35m[AndroidDriver]e[39m at Object.wrappedLogger.errorAndThrow (C:\Users\Srividya\AppData\Local\Programs\Appium\resources\app\node_modules\appium-support\lib\logging.js:78:13)
[error] e[35m[AndroidDriver]e[39m at Object.helpers.validateDesiredCaps (C:\Users\Srividya\AppData\Local\Programs\Appium\resources\app\node_modules\appium-android-driver\lib\android-helpers.js:720:14)
[error] e[35m[AndroidDriver]e[39m at AndroidDriver.validateDesiredCaps (C:\Users\Srividya\AppData\Local\Programs\Appium\resources\app\node_modules\appium-android-driver\lib\driver.js:488:20)
[error] e[35m[AndroidDriver]e[39m at AndroidDriver.commands.createSession (C:\Users\Srividya\AppData\Local\Programs\Appium\resources\app\node_modules\appium-base-driver\lib\basedriver\commands\session.js:45:8)
[error] e[35m[AndroidDriver]e[39m at AndroidDriver.createSession (C:\Users\Srividya\AppData\Local\Programs\Appium\resources\app\node_modules\appium-android-driver\lib\driver.js:61:43)
[error] e[35m[AndroidDriver]e[39m at AppiumDriver.createSession (C:\Users\Srividya\AppData\Local\Programs\Appium\resources\app\node_modules\appium\lib\appium.js:292:43)
[error] e[35m[AndroidDriver]e[39m at process._tickCallback (internal/process/next_tick.js:68:7)
[debug] e[35m[AndroidDriver]e[39m Shutting down Android driver
[debug] e[35m[AndroidDriver]e[39m Called deleteSession but bootstrap wasn’t active
[debug] e[35m[BaseDriver]e[39m Event ‘newSessionStarted’ logged at 1546857731159 (16:12:11 GMT+0530 (India Standard Time))
[debug] e[35m[W3C]e[39m Encountered internal error running command: Error: The desired should not include both of an ‘appPackage’ and a ‘browserName’
[debug] e[35m[W3C]e[39m at Object.wrappedLogger.errorAndThrow (C:\Users\Srividya\AppData\Local\Programs\Appium\resources\app\node_modules\appium-support\lib\logging.js:78:13)
[debug] e[35m[W3C]e[39m at Object.helpers.validateDesiredCaps (C:\Users\Srividya\AppData\Local\Programs\Appium\resources\app\node_modules\appium-android-driver\lib\android-helpers.js:720:14)
[debug] e[35m[W3C]e[39m at AndroidDriver.validateDesiredCaps (C:\Users\Srividya\AppData\Local\Programs\Appium\resources\app\node_modules\appium-android-driver\lib\driver.js:488:20)
[debug] e[35m[W3C]e[39m at AndroidDriver.commands.createSession (C:\Users\Srividya\AppData\Local\Programs\Appium\resources\app\node_modules\appium-base-driver\lib\basedriver\commands\session.js:45:8)
[debug] e[35m[W3C]e[39m at AndroidDriver.createSession (C:\Users\Srividya\AppData\Local\Programs\Appium\resources\app\node_modules\appium-android-driver\lib\driver.js:61:43)
[debug] e[35m[W3C]e[39m at AppiumDriver.createSession (C:\Users\Srividya\AppData\Local\Programs\Appium\resources\app\node_modules\appium\lib\appium.js:292:43)
[debug] e[35m[W3C]e[39m at process._tickCallback (internal/process/next_tick.js:68:7)
[info] e[35m[HTTP]e[39m e[37m<-- POST /wd/hub/session e[39me[31m500e[39m e[90m189 ms - 792e[39m
[info] e[35m[HTTP]e[39m e[90me[39m

Eclipse Error:
org.openqa.selenium.WebDriverException: An unknown server-side error occurred while processing the command. Original error: The desired should not include both of an ‘appPackage’ and a ‘browserName’